Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card	(revision 882)
@@ -1,2 +1,4 @@
+# $Id$
+
 [Compatibility]
 libIGCM=1.0
@@ -6,6 +8,6 @@
 # If noting is defined here, the job will get the JobName in the file  ../CREATE/config.card
 CREATE=ELC-${RESOL_ATM_3D}
-
-# adjust=y during LMDZ_NbPeriod_adjust Period, adjust=n after LMDZ_NbPeriod_adjust
+ByPass_hgardfou_teta=n
+ByPass_hgardfou_mats=n
 LMDZ_NbPeriod_adjust=3
 # LMDZ_NbPeriod_adjust=0
@@ -22,5 +24,5 @@
 # With AR5 ozone(tropo + strato from LMDZOR-INCA-REPROBUS simulations)
 ListNonDel= (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_clim_limit.nc, limit.nc),\
-	    (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_climoz_LMDZ.nc, climoz_LMDZ.nc),\
+	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/climoz_LMDZ_1995.nc, climoz_LMDZ.nc),\
 	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1995.nc, aerosols1980.nc),\
 	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1860.nc, aerosols.nat.nc)
@@ -28,5 +30,5 @@
 [ParametersFiles]
 List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
-	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
+	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D}, gcm.def), \
 	(${SUBMIT_DIR}/PARAM/run.def, .), \
 	(${SUBMIT_DIR}/PARAM/traceur.def, .)
@@ -37,5 +39,5 @@
 
 [OutputText]
-List=   (physiq.def, gcm.def, run.def, traceur.def)
+List=   (physiq.def, gcm.def, run.def, traceur.def, used_run.def)
 
 [OutputFiles]
@@ -50,28 +52,46 @@
 Patches= (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (lon, lat, presnivs, time_counter, aire)
-TimeSeriesVars = (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux_ter, taux_sic, taux_lic, taux_oce, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux_ter, taux_sic, taux_lic, taux_oce, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
 
 [Post_1M_histNMC]
 Patches = ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, aire)
-TimeSeriesVars = (temp, phi, q, u, v, rh)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (temp, phi, q, u, v, rh)
+ChunckJob3D = NONE
 
 [Post_1M_histrac]
 Patches= (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (lon, lat, presnivs, time_counter, aire)
-TimeSeriesVars=()
+TimeSeriesVars2D=()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
 
 [Post_1M_dynzon]
 Patches = ()
 GatherWithInternal = (lon, lat, presnivs, time_counter)
-TimeSeriesVars = ()
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
 
 [Post_1D_histday]
 Patches= (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (lon, lat, presnivs, time_counter)
-TimeSeriesVars = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, q2m, sens, sicf, slp, soll, sols, SWdnSFC, taux, tauy, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, q2m, sens, sicf, slp, soll, sols, SWdnSFC, taux, tauy, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres)
+ChunckJob3D = 50Y
 
 [Post_HF_histhf]
 Patches= (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (lon, lat, presnivs, time_counter)
-TimeSeriesVars = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, prw, t2m, tsol, u10m, v10m, t1000, t925, t850, t700, t500, t300, t250, t200, t150, t100, t50, t30, t10, u1000, u925, u850, u700, u500, u300, u250, u200, u150, u100, u50, u30, u10, v1000, v925, v850, v700, v500, v300, v250, v200, v150, v100, v50, v30, v10, phi1000, phi925, phi850, phi700, phi500, phi300, phi250, phi200, phi150, phi100, phi50, phi30, phi10, w1000, w925, w850, w700, w500, w300, w250, w200, w150, w100, w50, w30, w10, q1000, q925, q850, q700, q500, q300, q250, q200, q150, q100, q50, q30, q10)
+TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, prw, t2m, tsol, u10m, v10m, t1000, t925, t850, t700, t500, t300, t250, t200, t150, t100, t50, t30, t10, u1000, u925, u850, u700, u500, u300, u250, u200, u150, u100, u50, u30, u10, v1000, v925, v850, v700, v500, v300, v250, v200, v150, v100, v50, v30, v10, phi1000, phi925, phi850, phi700, phi500, phi300, phi250, phi200, phi150, phi100, phi50, phi30, phi10, w1000, w925, w850, w700, w500, w300, w250, w200, w150, w100, w50, w30, w10, q1000, q925, q850, q700, q500, q300, q250, q200, q150, q100, q50, q30, q10)
+ChunckJob2D = 30Y
+TimeSeriesVars3D = (temp, theta, ovap, ovapinit, vitu, vitv)
+ChunckJob3D = 10Y
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver	(revision 882)
@@ -1,2 +1,4 @@
+# $Id$
+#
 #!/bin/ksh
 #-----------------------------------------------------------------
@@ -62,4 +64,5 @@
     PAT_ecrit_mth=$(   grep -v ^# ${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}  | grep 'ecrit_mth='   )
     PAT_ecrit_ISCCP=$( grep -v ^# ${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}  | grep 'ecrit_ISCCP=' )
+
     ##--Variables used by LMDZ in gcm.def --
     PAT_iphysiq=$(   grep -v ^# ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D} | grep iphysiq  )
@@ -166,4 +169,32 @@
     IGCM_sys_Mv run.def.tmp run.def
 
+    ## Read ByPass_hgardfou_teta option in ${compname}.card --> divide teta* by 2 if [ $ByPass_hgardfou_teta = 1 ]
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_teta
+    eval ByPass_hgardfou_teta=\${${compname}_UserChoices_ByPass_hgardfou_teta} > /dev/null 2>&1
+    if [ ${ByPass_hgardfou_teta} = y ] ; then
+	awk '{ if ($0 ~ /^teta.*=/) {split($0,a,"=") ; print a[1]"="a[2]/2"."} else print $0}' gcm.def > gcm.def.tmp
+	IGCM_sys_Mv gcm.def.tmp gcm.def
+	echo
+	IGCM_debug_Print 1 "ByPass_hgardfou_teta : ^teta*/2 in gcm.def"
+	echo
+	cat gcm.def
+	ByPass_hgardfou_teta=n
+	IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_teta "${ByPass_hgardfou_teta}"
+    fi
+
+    ## Read ByPass_hgardfou_mats option in ${compname}.card --> purmats=y 2 if [ $ByPass_hgardfou_mats = 1 ]
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_mats
+    eval ByPass_hgardfou_mats=\${${compname}_UserChoices_ByPass_hgardfou_mats} > /dev/null 2>&1
+    if [ ${ByPass_hgardfou_mats} = y ] ; then
+	sed -e "s/^purmats=.*/purmats=y/" gcm.def > gcm.def.tmp
+        IGCM_sys_Mv gcm.def.tmp gcm.def
+        echo
+        IGCM_debug_Print 1 "ByPass_hgardfou_mats : purmats=y in gcm.def"
+        echo
+        cat gcm.def
+        ByPass_hgardfou_mats=n
+        IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_mats "${ByPass_hgardfou_mats}"
+    fi
+
     IGCM_debug_PopStack "ATM_Update"
 }
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.card	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.card	(revision 882)
@@ -5,16 +5,15 @@
 
 [UserChoices]
+NEWHYDROL=n
+sechiba_LEVEL=10
 
 [InitialStateFiles]
-List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/carteveg5km.nc, .), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, .), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc, .)
-#       (${R_INIT}/SRF/${config_UserChoices_TagName}/PFTmap.1980.nc, pft_new.nc)
+List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, .), \
+	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc, .), \
+	(${R_INIT}/SRF/${config_UserChoices_TagName}/PFTmap_IPCC_2000.nc, PFTmap.nc)
 
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/SRF/${config_UserChoices_TagName}/lai2D.nc, .)
-# For STOMATE : suppress unused lai file and add reftemp file
-#            (${R_BC}/SRF/${config_UserChoices_TagName}/reftemp.nc, .)
+ListNonDel= ()
 
 [ParametersFiles]
@@ -22,8 +21,6 @@
 
 [RestartFiles]
-List=	(sechiba_rest.nc, sechiba_rest.nc, start_sech.nc)
-# For STOMATE : 
-#  \
-# 	(stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
+# List restart that have to be saved/restored each loop (file out, saved, and in) :
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
 
 [OutputText]
@@ -31,20 +28,13 @@
 
 [OutputFiles]
-List=	(sechiba_out.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history)
-# For STOMATE : 
-#  \
-#       (stomate_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_stomate_history.nc, Post_1M_stomate_history)  \
-#	(stomate_Cforcing.nc, ${R_OUT_SRF_O_M}/${PREFIX}_stomate_Cforcing.nc, NONE) \
-#	(stomate_forcing.nc, ${R_OUT_SRF_O_M}/${PREFIX}_stomate_forcing.nc, NONE)
-# For ORCHIDEE_WATCHOUT :
-#       (orchidee_watchout.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_orchidee_watchout.nc, NONE) \
+List=	(sechiba_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history) \
+        (sechiba_out_2.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_out2.nc, NONE) \
+        (watchout.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_watchout.nc, NONE)
 
 [Post_1M_sechiba_history]
-Patches = (Patch_20090407_histcom_time_axis)
-GatherWithInternal = (lon, lat, veget, time_counter, Areas)
-TimeSeriesVars = (alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, lai, rain, runoff, snow, snowf, snownobio, subli, tair, temp_sol, tsol_max, tsol_min, drainage)
-
-[Post_1M_stomate_history]
-Patches = ()
-GatherWithInternal = (lon, lat, PFT, time_counter)
-TimeSeriesVars = (SPACE_NAT, CO2FLUX_MONTHLY, LAI, VEGET, VEGET_MAX, NPP, GPP, MAINT_RESP, GROWTH_RESP, AGE, HEIGHT, T2M_MONTH, CONTFRAC, RESOLUTION_X, RESOLUTION_Y)
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal = (lon, lat, veget, time_counter, Areas, Contfrac)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, CO2FLUX)
+ChunckJob3D = NONE
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.driver
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.driver	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.driver	(revision 882)
@@ -1,2 +1,4 @@
+# $Id$
+#
 #!/bin/ksh
 
@@ -67,5 +69,8 @@
     esac
 
+    ORCHIDEE_sed HYDROL_CWRR ${orchidee_UserChoices_NEWHYDROL}
+
     ORCHIDEE_sed WRITE_STEP ${SECHIBA_WRITE_STEP}
+    ORCHIDEE_sed SECHIBA_HISTLEVEL ${orchidee_UserChoices_sechiba_LEVEL}
 
 ##    if [ ${year} -eq 1950 ] ; then
@@ -75,9 +80,6 @@
 ##    fi
 
-    if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SRF_Restart}" = "n" ] ) ; then
-	ORCHIDEE_sed SECHIBA_reset_time y
-    else
-	ORCHIDEE_sed SECHIBA_restart_in start_sech.nc
-	ORCHIDEE_sed SECHIBA_reset_time y
+    if ( [ ${CumulPeriod} -ne 1 ] || [ "${config_SRF_Restart}" != "n" ] ) ; then
+	ORCHIDEE_sed SECHIBA_restart_in sechiba_rest_in.nc
     fi
 
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.card	(revision 882)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.card	(revision 882)
@@ -0,0 +1,33 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+stomate_LEVEL=10
+
+[InitialStateFiles]
+List=   ()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= (${R_BC}/SRF/${config_UserChoices_TagName}/reftemp.nc, .)
+
+[ParametersFiles]
+List=   ()
+
+[RestartFiles]
+# List restart that have to be saved/restored each loop (file out, saved, and in) :
+List=	(stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=	(stomate_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history.nc, Post_1M_stomate_history)
+
+[Post_1M_stomate_history]
+Patches= ()
+GatherWithInternal= (lon, lat, PFT, time_counter, Areas)
+TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,TOTAL_SOIL_CARB,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (CO2FLUX_MONTHLY,LAI,VEGET,VEGET_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER)
+ChunckJob3D = NONE
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.driver
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.driver	(revision 882)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.driver	(revision 882)
@@ -0,0 +1,80 @@
+#!/bin/ksh
+
+#D- Driver du script pour ORCHIDEE
+
+#-----------------------------------------------------------------
+function SBG_Initialize
+{
+    IGCM_debug_PushStack "SBG_Initialize"
+
+    RESOL_SBG=ALL
+    
+    IGCM_debug_PopStack "SBG_Initialize"
+}
+
+#-----------------------------------------------------------------
+function SBG_Update
+{
+    IGCM_debug_PushStack "SBG_Update"
+
+    typeset STOMATE_WRITE_STEP
+
+    case ${config_SBG_WriteFrequency} in
+	*Y|*y) 
+	    WriteInYears=$( echo ${config_SBG_WriteFrequency} | awk -F '[yY]' '{print $1}' )
+	    PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | awk -F '[yY]' '{print $1}' )
+	    (( STOMATE_WRITE_STEP = PeriodLengthInDays * WriteInYears / PeriodLengthInYears )) ;;
+	*M|*m) 
+	    WriteInMonths=$( echo ${config_SBG_WriteFrequency} | awk -F '[mM]' '{print $1}' )
+	    case ${config_UserChoices_PeriodLength} in
+	    *Y|*y)
+		PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | awk -F '[yY]' '{print $1}' )
+		(( STOMATE_WRITE_STEP = 30 )) ;;
+	    *M|*m)
+		PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | awk -F '[mM]' '{print $1}' )
+		(( STOMATE_WRITE_STEP = PeriodLengthInDays * WriteInMonths / PeriodLengthInMonths )) ;;
+	    *)
+		(( STOMATE_WRITE_STEP = $( IGCM_date_DaysInMonth $year $month ) )) ;;
+	    esac
+	    ;;
+	5D|5d) 
+	    (( STOMATE_WRITE_STEP = 5 )) ;;
+	1D|1d) 
+	    (( STOMATE_WRITE_STEP = 1 )) ;;
+	*s)
+	    WriteInSeconds=$( echo ${config_SBG_WriteFrequency} | awk -F '[s]' '{print $1}' )
+	    (( STOMATE_WRITE_STEP = 1 )) ;;
+	*) 
+	    IGCM_debug_Exit "SBG_Update " ${config_SBG_WriteFrequency} " invalid WriteFrequency : choose in 1Y, 1M, 5D, 1D." 
+	    IGCM_debug_Verif_Exit ;;
+    esac
+
+    ORCHIDEE_sed STOMATE_OK_STOMATE y
+
+    ORCHIDEE_sed STOMATE_HIST_DT ${STOMATE_WRITE_STEP}
+    ORCHIDEE_sed STOMATE_HISTLEVEL ${stomate_UserChoices_stomate_LEVEL}
+
+    if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SBG_Restart}" = "n" ] ) ; then
+	echo "STOMATE : without restart"
+    else
+	ORCHIDEE_sed STOMATE_RESTART_FILEIN stomate_rest_in.nc
+    fi
+
+    IGCM_debug_PopStack "SBG_Update"
+}
+
+#-----------------------------------------------------------------
+function SBG_Finalize
+{
+#set -vx
+    IGCM_debug_PushStack "SBG_Finalize"
+
+    if [ $( IGCM_date_DaysBetweenGregorianDate ${PeriodDateEnd} ${year}1230 ) -ge 0 ] ; then
+	IGCM_sys_Put_Out stomate_Cforcing.nc ${R_OUT_SBG_R}/${config_UserChoices_JobName}_${PeriodDateEnd}_stomate_Cforcing.nc
+	IGCM_sys_Put_Out stomate_forcing.nc  ${R_OUT_SBG_R}/${config_UserChoices_JobName}_${PeriodDateEnd}_stomate_forcing.nc
+# 	rm -f stomate_Cforcing.nc
+# 	rm -f stomate_forcing.nc
+    fi
+
+    IGCM_debug_PopStack "SBG_Finalize"
+}
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x142x19
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x142x19	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x142x19	(revision 882)
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x142x39
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x142x39	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x142x39	(revision 882)
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x96x19
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x96x19	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_144x96x19	(revision 882)
@@ -9,5 +9,5 @@
 lstardis=y
 ## nombre d'iterations de l'operateur de dissipation   gradiv
-nitergdiv=1
+nitergdiv=2
 ## nombre d'iterations de l'operateur de dissipation  nxgradrot
 nitergrot=2
@@ -54,2 +54,6 @@
 ##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
 ysinus=y
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+##  Facteur additif pour l'albedo
+pmagic=0.0
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_72x45x19
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_72x45x19	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_72x45x19	(revision 882)
@@ -9,5 +9,5 @@
 lstardis=y
 ## nombre d'iterations de l'operateur de dissipation   gradiv
-nitergdiv=1
+nitergdiv=2
 ## nombre d'iterations de l'operateur de dissipation  nxgradrot
 nitergrot=2
@@ -54,2 +54,6 @@
 ##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
 ysinus=y
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+##  Facteur additif pour l'albedo
+pmagic=0.0
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_96x71x19
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_96x71x19	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_96x71x19	(revision 882)
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_96x95x19
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_96x95x19	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/gcm.def_96x95x19	(revision 882)
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/orchidee.def
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/orchidee.def	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/orchidee.def	(revision 882)
@@ -1,63 +1,854 @@
+#
+#**************************************************************************
+#                    Namelist for ORCHIDEE
+#**************************************************************************
 #
 #
-# Parameter file for LMDZ4OR_v2 configuration
-# See comments : http://forge.ipsl.jussieu.fr/orchidee/
+#**************************************************************************
+#          OPTIONS NOT SET
+#**************************************************************************
 #
-STOMATE_OK_CO2=TRUE
-# STOMATE_OK_STOMATE is not set
-# STOMATE_OK_DGVM is not set
-# STOMATE_WATCHOUT is not set
-SECHIBA_restart_in=default
-SECHIBA_rest_out=sechiba_rest.nc
-SECHIBA_reset_time=y
 #
-OUTPUT_FILE=sechiba_out.nc
-WRITE_STEP=2592000
-SECHIBA_HISTLEVEL=5
+#**************************************************************************
+#          Management of display in the run of ORCHIDEE
+#**************************************************************************
+
+# Model chatting level
+# level of online diagnostics in STOMATE (0-4)
+# With this variable, you can determine how much online information STOMATE
+#  gives during the run. 0 means virtually no info.
+BAVARD = 1
+# default = 1
+
+# Flag for debug information
+# This option allows to switch on the output of debug
+#         information without recompiling the code.
+DEBUG_INFO = n
+#default = n
+
+# ORCHIDEE will print more messages
+# This flag permits to print more debug messages in the run.
+LONGPRINT = n
+#default = n
+
+#---------------------------------------------------------------------
+
+# To reset the time coming from SECHIBA restart file
+# This option allows the model to override the time
+#  found in the restart file of SECHIBA with the time
+#  of the first call. That is the restart time of the GCM.
+SECHIBA_reset_time = y
+# default = n
+
+#**************************************************************************
+#          Files : incoming / forcing / restart /output
+#**************************************************************************
+# Ancillary files :
+#---------------------------------------------------------------------
+
+# Name of file from which the vegetation map is to be read
+# If !IMPOSE_VEG
+# If LAND_USE 
+#   default = pft_new.nc
+#   The name of the file to be opened to read a vegetation
+#   map (in pft) is to be given here. 
+# If !LAND_USE
+#   default = ../surfmap/carteveg5km.nc
+#   The name of the file to be opened to read the vegetation
+#   map is to be given here. Usualy SECHIBA runs with a 5kmx5km
+#   map which is derived from the IGBP one. We assume that we have
+#   a classification in 87 types. This is Olson modified by Viovy.
+VEGETATION_FILE = PFTmap.nc
+
+
+# Name of file from which the bare soil albedo
+# If !IMPOSE_AZE
+# The name of the file to be opened to read the soil types from 
+#  which we derive then the bare soil albedos. This file is 1x1 
+#  deg and based on the soil colors defined by Wilson and Henderson-Seller.
+SOILALB_FILE = soils_param.nc
+# default = ../surfmap/soils_param.nc
+
+# Name of file from which soil types are read
+# If !IMPOSE_VEG
+# The name of the file to be opened to read the soil types. 
+#  The data from this file is then interpolated to the grid of
+#  of the model. The aim is to get fractions for sand loam and
+#  clay in each grid box. This information is used for soil hydrology
+#  and respiration.
+SOILTYPE_FILE = soils_param.nc
+# default = ../surfmap/soils_param.nc
+
+# Name of file from which the reference
+# The name of the file to be opened to read
+#  temperature is read
+#  the reference surface temperature.
+#  The data from this file is then interpolated
+#  to the grid of the model.
+#  The aim is to get a reference temperature either
+#  to initialize the corresponding prognostic model
+#  variable correctly (ok_dgvm = TRUE) or to impose it
+#  as boundary condition (ok_dgvm = FALSE)
+REFTEMP_FILE = reftemp.nc
+# default = reftemp.nc
+
+# Input and output restart file for SECHIBA :
+#---------------------------------------------------------------------
+
+# Name of restart to READ for initial conditions
+# This is the name of the file which will be opened
+#  to extract the initial values of all prognostic
+#  values of the model. This has to be a netCDF file.
+#  Not truly COADS compliant. NONE will mean that
+#  no restart file is to be expected.
+SECHIBA_restart_in = NONE
+# default = NONE
+
+# Name of restart files to be created by SECHIBA
+# This variable give the name for the restart files. 
+#  The restart software within IOIPSL will add .nc if needed.
+SECHIBA_rest_out = sechiba_rest_out.nc
+# default = sechiba_rest_out.nc
+
+# Input and output restart file for STOMATE :
+#---------------------------------------------------------------------
+
+# Name of restart to READ for initial conditions of STOMATE
+# If STOMATE_OK_STOMATE || STOMATE_WATCHOUT
+# This is the name of the file which will be opened of STOMATE
+#   to extract the initial values of all prognostic values of STOMATE.
+STOMATE_RESTART_FILEIN = NONE
+# default = NONE
+
+# Name of restart files to be created by STOMATE
+# If STOMATE_OK_STOMATE || STOMATE_WATCHOUT
+# This is the name of the file which will be opened
+#        to write the final values of all prognostic values
+#        of STOMATE.
+STOMATE_RESTART_FILEOUT = stomate_rest_out.nc
+# default = stomate_restart.nc
+
+# Forcing files for TESTSTOMATE and FORCESOIL
+#---------------------------------------------------------------------
+
+# Name of STOMATE's forcing file
+# Name that will be given to STOMATE's offline forcing file
+#STOMATE_FORCING_NAME = stomate_forcing.nc
+#default = NONE
+
+# Size of STOMATE forcing data in memory (MB)
+# This variable determines how many
+#  forcing states will be kept in memory.
+#  Must be a compromise between memory
+#  use and frequeny of disk access.
+STOMATE_FORCING_MEMSIZE = 50
+# default = 50
+
+# Name of STOMATE's carbon forcing file
+# Name that will be given to STOMATE's carbon offline forcing file
+#STOMATE_CFORCING_NAME = stomate_Cforcing.nc
+# default = NONE
+
+
+# Produced forcing file name (SECHIBA puis STOMATE) :
+#---------------------------------------------------------------------
+
+# ORCHIDEE will write out its forcing to a file
+# This flag allows to write to a file all the variables
+#  which are used to force the land-surface. The file 
+#  has exactly the same format than a normal off-line forcing
+#  and thus this forcing can be used for forcing ORCHIDEE.
+#ORCHIDEE_WATCHOUT = y
+# default = n
+
+# Filenane for the ORCHIDEE forcing file
+# If ORCHIDEE_WATCHOUT
+# This is the name of the file in which the
+#  forcing used here will be written for later use. 
+WATCHOUT_FILE = orchidee_watchout.nc
+# default = orchidee_watchout.nc
+
+# ORCHIDEE will write out with this frequency
+# If ORCHIDEE_WATCHOUT
+# This flag indicates the frequency of the write of the variables. 
+DT_WATCHOUT = 1800
+# default = dt
+
+# STOMATE does minimum service
+# set to TRUE if you want STOMATE to read
+#  and write its start files and keep track
+#  of longer-term biometeorological variables.
+#  This is useful if OK_STOMATE is not set,
+#  but if you intend to activate STOMATE later.
+#  In that case, this run can serve as a 
+#  spinup for longer-term biometeorological
+#  variables.
+#STOMATE_WATCHOUT = y
+# default = n
+
+# Output file name (SECHIBA and STOMATE) :
+#---------------------------------------------------------------------
+# Name of file in which the output is going
+# This file is going to be created by the model
+#  to be written
+#  and will contain the output from the model.
+#  This file is a truly COADS compliant netCDF file.
+#  It will be generated by the hist software from
+#  the IOIPSL package.
+OUTPUT_FILE = sechiba_history.nc
+# default = cabauw_out.nc
+
+# Flag to switch on histfile 2 for SECHIBA (hi-frequency ?)
+# This Flag switch on the second SECHIBA writing for hi (or low) 
+#  frequency writing. This second output is optional and not written
+#  by default.
+SECHIBA_HISTFILE2 = FALSE
+# default  = FALSE
+
+# Name of file in which the output number 2 is going
+#   to be written
+# If SECHIBA_HISTFILE2
+# This file is going to be created by the model
+#   and will contain the output 2 from the model.
+SECHIBA_OUTPUT_FILE2 = sechiba_out_2.nc
+# default  = sechiba_out_2.nc
+
+# Name of file in which STOMATE's output is going to be written
+# This file is going to be created by the model
+#  and will contain the output from the model.
+#  This file is a truly COADS compliant netCDF file.
+#  It will be generated by the hist software from
+#  the IOIPSL package.
+STOMATE_OUTPUT_FILE = stomate_history.nc
+# default = stomate_history.nc
+
+# Write levels for outputs files (number of variables) :
+#---------------------------------------------------------------------
+
+# SECHIBA history output level (0..10)
+# Chooses the list of variables in the history file. 
+#  Values between 0: nothing is written; 10: everything is 
+#  written are available More details can be found on the web under documentation.
+#  web under documentation.
+SECHIBA_HISTLEVEL = 5
+# default = 5
+
+# SECHIBA history 2 output level (0..10)
+# If SECHIBA_HISTFILE2
+# Chooses the list of variables in the history file. 
+#   Values between 0: nothing is written; 10: everything is 
+#   written are available More details can be found on the web under documentation.
+#   web under documentation.
+# First level contains all ORCHIDEE outputs.
+SECHIBA_HISTLEVEL2 = 1
+# default = 1
+
+# STOMATE history output level (0..10)
+#  0: nothing is written; 10: everything is written
+STOMATE_HISTLEVEL = 10
+# default = 10
+
+# Write frequency for output files (SECHIBA in seconds et
+# STOMATE in days) :
+#---------------------------------------------------------------------
+# Frequency in seconds at which to WRITE output
+# This variables gives the frequency the output of
+#  the model should be written into the netCDF file.
+#  It does not affect the frequency at which the
+#  operations such as averaging are done.
+WRITE_STEP = 86400.0
+# default = 86400.0
+
+# Frequency in seconds at which to WRITE output
+# If SECHIBA_HISTFILE2
+# This variables gives the frequency the output 2 of
+#   the model should be written into the netCDF file.
+#   It does not affect the frequency at which the
+#   operations such as averaging are done.
+#   That is IF the coding of the calls to histdef
+#   are correct !
+WRITE_STEP2 = 1800.0
+# default = 1800.0
+
+# STOMATE history time step (d)
+# Time step of the STOMATE history file
+# Care : this variable must be higher than DT_SLOW
+STOMATE_HIST_DT = 10.
+# default = 10.
+
+#---------------------------------------------------------------------
+# FORCESOIL CARBON spin up parametrization
+#---------------------------------------------------------------------
+
+# Number of time steps per year for carbon spinup.
+FORCESOIL_STEP_PER_YEAR = 12
+# default = 12
+
+# Number of years saved for carbon spinup.
+FORCESOIL_NB_YEAR = 1
+# default = 1
+
+#---------------------------------------------------------------------
+# Parametrization :
+#---------------------------------------------------------------------
+
+# Activate STOMATE?
+# set to TRUE if STOMATE is to be activated
+STOMATE_OK_STOMATE = n
+# default = n
+
+# Activate DGVM?
+# set to TRUE if Dynamic Vegetation DGVM is to be activated
+STOMATE_OK_DGVM = n
+# default = n
+
+# Activate CO2?
+# set to TRUE if photosynthesis is to be activated
+STOMATE_OK_CO2 = y
+# default = n
+
+# Flag to force the value of atmospheric CO2 for vegetation.
+# If this flag is set to true, the ATM_CO2 parameter is used
+#  to prescribe the atmospheric CO2.
+# This Flag is only use in couple mode.
+FORCE_CO2_VEG = FALSE
+# default = FALSE
+
+# Value for atm CO2.
+# If FORCE_CO2_VEG (in not forced mode)
+# Value to prescribe the atm CO2.
+#  For pre-industrial simulations, the value is 286.2 .
+#  348. for 1990 year.
+ATM_CO2 = 350.
+# default = 350.
+
+# constant tree mortality
+# If yes, then a constant mortality is applied to trees. 
+#  Otherwise, mortality is a function of the trees' 
+#  vigour (as in LPJ).
+LPJ_GAP_CONST_MORT = y
+# default = y
+
+# no fire allowed
+# With this variable, you can allow or not
+#  the estimation of CO2 lost by fire
+FIRE_DISABLE = n
+# default = n
+
+# Average method for z0
+# If this flag is set to true (y) then the neutral Cdrag
+#  is averaged instead of the log(z0). This should be
+#  the prefered option. We still wish to keep the other
+#  option so we can come back if needed. If this is
+#  desired then one should set Z0CDRAG_AVE = n
+Z0CDRAG_AVE = y
+# default = y
+
+# parameters describing the surface (vegetation + soil) :
+#---------------------------------------------------------------------
 #
-SECHIBA_HISTFILE2 = FALSE
-SECHIBA_OUTPUT_FILE2 = sechiba_out_2.nc
-WRITE_STEP2 = 86400.0
-SECHIBA_HISTLEVEL2 = 1
-#
-STOMATE_OUTPUT_FILE=stomate_history.nc
-STOMATE_HIST_DT=10.
-STOMATE_HISTLEVEL=0
-SECHIBA_DAY=0.0
-SECHIBA_ZCANOP=0.5
-DT_SLOW=86400.
-# IMPOSE_VEG is not set
-VEGETATION_FILE=carteveg5km.nc
-# VEGETATION_FILE=pft_new.nc
-DIFFUCO_LEAFCI=233.
-CONDVEG_SNOWA=default
-# IMPOSE_AZE is not set
-SOILALB_FILE=soils_param.nc
-SOILTYPE_FILE=soils_param.nc 
-ENERBIL_TSURF=280.
-HYDROL_SNOW=0.0
-HYDROL_SNOWAGE=0.0
-HYDROL_SNOWICE=0.0
-HYDROL_SNOWICEAGE=0.0
-HYDROL_HDRY=1.0
-HYDROL_HUMR=1.0
-HYDROL_BQSB=default
-HYDROL_GQSB=0.0
-HYDROL_DSG=0.0
-HYDROL_DSP=default
-HYDROL_QSV=0.0
-HYDROL_OK_HDIFF=n
-HYDROL_TAU_HDIFF=1800.
-THERMOSOIL_TPRO=280.
-RIVER_ROUTING=y
-ROUTING_FILE=routing.nc
-LAI_MAP=y
-LAI_FILE=lai2D.nc
-SECHIBA_QSINT=0.02
+# Should the vegetation be prescribed
+# This flag allows the user to impose a vegetation distribution
+#  and its characterisitcs. It is espacially interesting for 0D
+#  simulations. On the globe it does not make too much sense as
+#  it imposes the same vegetation everywhere
+IMPOSE_VEG = n
+# default = n
+
+# Flag to use old "interpolation" of vegetation map.
+# IF NOT IMPOSE_VEG and NOT LAND_USE
+#  If you want to recover the old (ie orchidee_1_2 branch) 
+#   "interpolation" of vegetation map.
+SLOWPROC_VEGET_OLD_INTERPOL = n
+# default = n
+
+# Vegetation distribution within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of vegetation is read from the restart file. If
+#  it is not found there we will use the values provided here.
+SECHIBA_VEG__01 = 0.2
+SECHIBA_VEG__02 = 0.0
+SECHIBA_VEG__03 = 0.0
+SECHIBA_VEG__04 = 0.0
+SECHIBA_VEG__05 = 0.0
+SECHIBA_VEG__06 = 0.0
+SECHIBA_VEG__07 = 0.0
+SECHIBA_VEG__08 = 0.0
+SECHIBA_VEG__09 = 0.0
+SECHIBA_VEG__10 = 0.8
+SECHIBA_VEG__11 = 0.0
+SECHIBA_VEG__12 = 0.0
+SECHIBA_VEG__13 = 0.0
+# default = 0.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.8, 0.0, 0.0, 0.0
+
+# Maximum vegetation distribution within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of vegetation is read from the restart file. If
+#  it is not found there we will use the values provided here.
+SECHIBA_VEGMAX__01 = 0.2
+SECHIBA_VEGMAX__02 = 0.0
+SECHIBA_VEGMAX__03 = 0.0
+SECHIBA_VEGMAX__04 = 0.0
+SECHIBA_VEGMAX__05 = 0.0
+SECHIBA_VEGMAX__06 = 0.0
+SECHIBA_VEGMAX__07 = 0.0
+SECHIBA_VEGMAX__08 = 0.0
+SECHIBA_VEGMAX__09 = 0.0
+SECHIBA_VEGMAX__10 = 0.8
+SECHIBA_VEGMAX__11 = 0.0
+SECHIBA_VEGMAX__12 = 0.0
+SECHIBA_VEGMAX__13 = 0.0
+# default = 0.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.8, 0.0, 0.0, 0.0
+
+# LAI for all vegetation types (0-dim mode)
+# If IMPOSE_VEG
+# The maximum LAI used in the 0dim mode. The values should be found
+#  in the restart file. The new values of LAI will be computed anyway
+#  at the end of the current day. The need for this variable is caused
+#  by the fact that the model may stop during a day and thus we have not
+#  yet been through the routines which compute the new surface conditions.
+SECHIBA_LAI__01 = 0.
+SECHIBA_LAI__02 = 8.
+SECHIBA_LAI__03 = 8.
+SECHIBA_LAI__04 = 4.
+SECHIBA_LAI__05 = 4.5
+SECHIBA_LAI__06 = 4.5
+SECHIBA_LAI__07 = 4.
+SECHIBA_LAI__08 = 4.5
+SECHIBA_LAI__09 = 4.
+SECHIBA_LAI__10 = 2.
+SECHIBA_LAI__11 = 2.
+SECHIBA_LAI__12 = 2.
+SECHIBA_LAI__13 = 2.
+# default = 0., 8., 8., 4., 4.5, 4.5, 4., 4.5, 4., 2., 2., 2., 2.
+
+# Height for all vegetation types (m)
+# If IMPOSE_VEG
+# The height used in the 0dim mode. The values should be found
+#  in the restart file. The new values of height will be computed anyway
+#  at the end of the current day. The need for this variable is caused
+#  by the fact that the model may stop during a day and thus we have not
+#  yet been through the routines which compute the new surface conditions.
+SLOWPROC_HEIGHT__01 = 0.
+SLOWPROC_HEIGHT__02 = 50.
+SLOWPROC_HEIGHT__03 = 50.
+SLOWPROC_HEIGHT__04 = 30.
+SLOWPROC_HEIGHT__05 = 30.
+SLOWPROC_HEIGHT__06 = 30.
+SLOWPROC_HEIGHT__07 = 20.
+SLOWPROC_HEIGHT__08 = 20.
+SLOWPROC_HEIGHT__09 = 20.
+SLOWPROC_HEIGHT__10 = .2
+SLOWPROC_HEIGHT__11 = .2
+SLOWPROC_HEIGHT__12 = .4
+SLOWPROC_HEIGHT__13 = .4
+# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
+
+
+# Fraction of the 3 soil types (0-dim mode)
+# If IMPOSE_VEG
+# Determines the fraction for the 3 soil types
+#  in the mesh in the following order : sand loam and clay.
+SOIL_FRACTIONS__01 = 0.28
+SOIL_FRACTIONS__02 = 0.52
+SOIL_FRACTIONS__03 = 0.20
+# default = 0.28, 0.52, 0.20
+
+# Fraction of other surface types within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of ice, lakes, etc. is read from the restart file. If
+#  it is not found there we will use the values provided here.
+#  For the moment, there is only ice.
+SECHIBA_FRAC_NOBIO = 0.0
+# default = 0.0
+
+# Fraction of the clay fraction (0-dim mode)
+# If IMPOSE_VEG
+# Determines the fraction of clay in the grid box.
+CLAY_FRACTION = 0.2
+# default = 0.2
+
+# Should the surface parameters be prescribed
+# This flag allows the user to impose the surface parameters
+#  (Albedo Roughness and Emissivity). It is espacially interesting for 0D
+#  simulations. On the globe it does not make too much sense as
+#  it imposes the same vegetation everywhere
+IMPOSE_AZE = n
+# default = n
+
+# Emissivity of the surface for LW radiation
+# If IMPOSE_AZE
+# The surface emissivity used for compution the LE emission
+#  of the surface in a 0-dim version. Values range between 
+#  0.97 and 1.. The GCM uses 0.98.
+CONDVEG_EMIS = 1.0
+# default = 1.0
+
+# SW visible albedo for the surface
+# If IMPOSE_AZE
+# Surface albedo in visible wavelengths to be used 
+#  on the point if a 0-dim version of SECHIBA is used. 
+#  Look at the description of the forcing data for 
+#  the correct value.
+CONDVEG_ALBVIS = 0.25
+# default = 0.25
+
+# SW near infrared albedo for the surface
+# If IMPOSE_AZE
+# Surface albedo in near infrared wavelengths to be used 
+#  on the point if a 0-dim version of SECHIBA is used. 
+#  Look at the description of the forcing data for 
+#  the correct value.
+CONDVEG_ALBNIR = 0.25
+# default = 0.25
+
+# Surface roughness (m)
+# If IMPOSE_AZE
+# Surface rougness to be used on the point if a 0-dim version
+#  of SECHIBA is used. Look at the description of the forcing  
+#  data for the correct value.
+CONDVEG_Z0 = 0.15
+# default = 0.15_stnd
+
+# Height to be added to the height of the first level (m)
+# If IMPOSE_AZE
+# ORCHIDEE assumes that the atmospheric level height is counted
+#  from the zero wind level. Thus to take into account the roughness
+#  of tall vegetation we need to correct this by a certain fraction
+#  of the vegetation height. This is called the roughness height in
+#  ORCHIDEE talk.
+ROUGHHEIGHT = 0.0
+# default = 0.0
+
+# The snow albedo used by SECHIBA
+# This option allows the user to impose a snow albedo.
+#  Default behaviour is to use the model of snow albedo
+#  developed by Chalita (1993).
+CONDVEG_SNOWA = default
+# default = use the model of snow albedo developed by Chalita
+
+# Switch bare soil albedo dependent (if TRUE) on soil wetness
+# If TRUE, the model for bare soil albedo is the old formulation.
+#  Then it depend on the soil dry or wetness. If FALSE, it is the 
+#  new computation that is taken, it is only function of soil color.
 ALB_BARE_MODEL = FALSE
+# default = FALSE
+
+# Initial snow mass if not found in restart
+# The initial value of snow mass if its value is not found
+#   in the restart file. This should only be used if the model is 
+#   started without a restart file.
+HYDROL_SNOW = 0.0
+# default = 0.0
+
+
+# Initial snow age if not found in restart
+# The initial value of snow age if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOWAGE = 0.0
+# default = 0.0
+
+# Initial snow amount on ice, lakes, etc. if not found in restart
+# The initial value of snow if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOW_NOBIO = 0.0
+# default = 0.0
+
+# Initial snow age on ice, lakes, etc. if not found in restart
+# The initial value of snow age if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOW_NOBIO_AGE = 0.0
+# default = 0.0
+
+# Initial soil moisture stress if not found in restart
+# The initial value of soil moisture stress if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_HUMR = 1.0
+# default = 1.0
+
+# Total depth of soil reservoir
+HYDROL_SOIL_DEPTH = 2.
+# default = 2.
+
+# Initial restart deep soil moisture if not found in restart
+# The initial value of deep soil moisture if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file. Default behaviour is a saturated soil.
+HYDROL_BQSB = default
+# default = Maximum quantity of water (Kg/M3) * Total depth of soil reservoir = 150. * 2
+
+# Initial upper soil moisture if not found in restart
+# The initial value of upper soil moisture if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_GQSB = 0.0
+# default = 0.0
+
+# Initial upper reservoir depth if not found in restart
+# The initial value of upper reservoir depth if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_DSG = 0.0
+# default = 0.0
+
+# Initial dry soil above upper reservoir if not found in restart
+# The initial value of dry soil above upper reservoir if its value 
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file. The default behaviour
+#  is to compute it from the variables above. Should be OK most of 
+#  the time.
+HYDROL_DSP = default
+# default = Total depth of soil reservoir - HYDROL_BQSB / Maximum quantity of water (Kg/M3) = 0.0
+
+# Initial water on canopy if not found in restart
+# The initial value of moisture on canopy if its value 
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_QSV = 0.0
+# default = 0.0
+
+# Soil moisture on each soil tile and levels
+# The initial value of mc if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_MOISTURE_CONTENT = 0.3
+# default = 0.3
+
+# US_NVM_NSTM_NSLM
+# The initial value of us (relative moisture) if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+US_INIT = 0.0
+# default = 0.0
+
+# Coefficient for free drainage at bottom
+# The initial value of free drainage if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+FREE_DRAIN_COEF = 1.0, 1.0, 1.0
+# default = 1.0, 1.0, 1.0
+
+# Bare soil evap on each soil if not found in restart
+# The initial value of bare soils evap if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+EVAPNU_SOIL = 0.0
+# default = 0.0
+
+# Initial temperature if not found in restart
+# The initial value of surface temperature if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+ENERBIL_TSURF = 280.
+# default = 280.
+
+# Initial Soil Potential Evaporation
+# The initial value of soil potential evaporation if its value 
+#  is not found in the restart file. This should only be used if
+#  the model is started without a restart file. 
+ENERBIL_EVAPOT = 0.0
+# default = 0.0
+
+# Initial soil temperature profile if not found in restart
+# The initial value of the temperature profile in the soil if 
+#   its value is not found in the restart file. This should only 
+#   be used if the model is started without a restart file. Here
+#   we only require one value as we will assume a constant 
+#   throughout the column.
+THERMOSOIL_TPRO = 280.
+# default = 280.
+
+# Initial leaf CO2 level if not found in restart
+# The initial value of leaf_ci if its value is not found
+#  in the restart file. This should only be used if the model is
+#  started without a restart file.
+DIFFUCO_LEAFCI = 233.
+# default = 233.
+
+
+# Keep cdrag coefficient from gcm.
+# Set to .TRUE. if you want q_cdrag coming from GCM.
+#  Keep cdrag coefficient from gcm for latent and sensible heat fluxes.
+#  TRUE if q_cdrag on initialization is non zero (FALSE for off-line runs).
+CDRAG_FROM_GCM = y
+# default =  IF q_cdrag == 0 ldq_cdrag_from_gcm = .FALSE. ELSE .TRUE.
+
+
+# Artificial parameter to increase or decrease canopy resistance
+# Add from Nathalie - the 28 of March 2006 - advice from Fred Hourdin
+# By PFT.
+RVEG_PFT = 1., 0.5, 0.5, 1., 1., 1., 1., 1., 1., 1., 0.5, 1., 0.5
+# default = 1.
+
+
+# Interception reservoir coefficient.
+# Transforms leaf area index into size of interception reservoir
+#  for slowproc_derivvar or stomate.
+SECHIBA_QSINT = 0.02
+# default = 0.1
+
+#**************************************************************************
+# LAND_USE
+#**************************************************************************
+
+# Read a land_use vegetation map
+# pft values are needed, max time axis is 293
+LAND_USE = y
+# default = n
+
+# Year of the land_use vegetation map readed
+# year off the pft map
+# If LAND_USE (11 = 1860 - 1850 +1 for PFTmap.20C3M.nc, 1 for PFTmap_IPCC_2000.nc) 
+VEGET_YEAR = 1
+# default = 282
+
+# Update vegetation frequency (since 2.0 version)
+# The veget datas will be update each this time step.
+# If LAND_USE
+VEGET_UPDATE = 0Y
+# default = 1Y
+
+# treat land use modifications
+# With this variable, you can use a Land Use map
+# to simulate anthropic modifications such as   
+# deforestation.                                
+# If LAND_USE
+LAND_COVER_CHANGE = n
+# default = y
+
+#**************************************************************************
+
+# agriculture allowed?
+# With this variable, you can determine
+#  whether agriculture is allowed
+AGRICULTURE = y
+# default = y
+
+# Harvert model for agricol PFTs.
+# Compute harvest above ground biomass for agriculture.
+# Change daily turnover.
+HARVEST_AGRI = y
+# default = y
+
+# herbivores allowed?
+# With this variable, you can activate herbivores 
+HERBIVORES = n
+# default = n
+
+# treat expansion of PFTs across a grid cell?
+# With this variable, you can determine
+#  whether we treat expansion of PFTs across a
+#  grid cell.
+TREAT_EXPANSION = n
+# default = n
+
+#**************************************************************************
+
+# Time within the day simulated
+# This is the time spent simulating the current day. This variable is
+#  prognostic as it will trigger all the computations which are
+#  only done once a day.
+SECHIBA_DAY = 0.0
+# default = 0.0
+
+# Time step of STOMATE and other slow processes
+# Time step (s) of regular update of vegetation
+#  cover, LAI etc. This is also the time step
+#  of STOMATE.
+DT_SLOW = 86400.
+# default = un_jour = 86400.
+
+#**************************************************************************
+
+# Allows to switch on the multilayer hydrology of CWRR
+# This flag allows the user to decide if the vertical
+#  hydrology should be treated using the multi-layer 
+#  diffusion scheme adapted from CWRR by Patricia de Rosnay.
+#  by default the Choisnel hydrology is used.
+HYDROL_CWRR = n
+# default = n
+
+# do horizontal diffusion?
+# If TRUE, then water can diffuse horizontally between
+#  the PFTs' water reservoirs.
+HYDROL_OK_HDIFF = n
+# default = n
+ 
+
+# time scale (s) for horizontal diffusion of water
+# If HYDROL_OK_HDIFF
+# Defines how fast diffusion occurs horizontally between
+#  the individual PFTs' water reservoirs. If infinite, no
+#  diffusion.
+HYDROL_TAU_HDIFF = 1800.
+# default = 86400.
+
+# Percent by PFT of precip that is not intercepted by the canopy (since TAG 1.8).
+# During one rainfall event, PERCENT_THROUGHFALL_PFT% of the incident rainfall
+#  will get directly to the ground without being intercepted, for each PFT..
 PERCENT_THROUGHFALL_PFT = 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
-RVEG_PFT = .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5
-CDRAG_FROM_GCM = .TRUE.
-#LAND_USE=y
-#VEGET_YEAR=0
-#VEGET_UPDATE=1Y
+# default = 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
+
+# Decides if we route the water or not
+# This flag allows the user to decide if the runoff
+#  and drainage should be routed to the ocean
+#  and to downstream grid boxes.
+RIVER_ROUTING = y
+# default = n
+
+# Name of file which contains the routing information
+# The file provided here should allow the routing module to
+#  read the high resolution grid of basins and the flow direction 
+#  from one mesh to the other.
+ROUTING_FILE = routing.nc
+# default = routing.nc
+
+# Time step of the routing scheme
+# If RIVER_ROUTING
+# This values gives the time step in seconds of the routing scheme. 
+#   It should be multiple of the main time step of ORCHIDEE. One day
+#   is a good value.
+ROUTING_TIMESTEP = 86400
+# default = 86400
+
+# Number of rivers 
+# If RIVER_ROUTING
+# This parameter chooses the number of largest river basins
+#  which should be treated as independently as rivers and not
+#  flow into the oceans as diffusion coastal flow.
+ROUTING_RIVERS = 50
+# default = 50
+
+# Should we compute an irrigation flux 
+# This parameters allows the user to ask the model
+#  to compute an irigation flux. This performed for the
+#  on very simple hypothesis. The idea is to have a good
+#  map of irrigated areas and a simple function which estimates
+#  the need to irrigate.
+DO_IRRIGATION = n
+# default = n
+
+# Name of file which contains the map of irrigated areas
+# If IRRIGATE
+# The name of the file to be opened to read the field
+#  with the area in m^2 of the area irrigated within each
+#  0.5 0.5 deg grid box. The map currently used is the one
+#  developed by the Center for Environmental Systems Research 
+#  in Kassel (1995).
+IRRIGATION_FILE = irrigated.nc
+# default = irrigated.nc
+
+# Should we include floodplains 
+# This parameters allows the user to ask the model
+#  to take into account the flood plains and return 
+#  the water into the soil moisture. It then can go 
+#  back to the atmopshere. This tried to simulate 
+#  internal deltas of rivers.
+DO_FLOODPLAINS = n
+# default = n
+
+#**************************************************************************
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L19
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L19	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/physiq.def_L19	(revision 882)
@@ -1,3 +1,3 @@
-## $Id$
+# $Id$
 #
 ### type_ocean = force / slab  /couple
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/run.def
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/run.def	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/run.def	(revision 882)
@@ -27,3 +27,2 @@
 ## activation du filtre fft
 use_filtre_fft=y
-## run.sed results are below
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_orchidee.cfg
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_orchidee.cfg	(revision 882)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_orchidee.cfg	(revision 882)
@@ -0,0 +1,51 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2009/05/14 15:09:35 $
+# $Name: ATLAS_608_1_5 $
+# $Revision: 1.1.1.2 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by '#' character
+#   - Separator between fields is '|' character
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset
+#   - files patterns, operations,title,units must be enclosed with character '"'
+#   - fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=E7FFAB
+smooth=12
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+evap_lands     | "evap"            |                   | "evap[d=1]"                      | "Evaporation (LANDS)"          | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+temp_sol_lands | "temp_sol"        |                   | "temp_sol[d=1]"                  | "TSOL (LANDS)"                 | "K/d"    | "Areas[d=1]*Contfrac[d=1]"
+humidity_lands | "bqsb gqsb"       |                   | "bqsb[d=1]+gqsb[d=2]"            | "Total Soil Moisture  (LANDS)" | "1"      | "Areas[d=1]*Contfrac[d=1]"
+fluxsens_lands | "fluxsens"        |                   | "fluxsens[d=1]"                  | "Sensible Flux (LANDS)"        | "W/m^2"  | "Areas[d=1]*Contfrac[d=1]"
+albedo_lands   | "alb_vis alb_nir" |                   | "(alb_vis[d=1]+alb_nir[d=2])*0.5"| "Mean Albedo (LANDS)"          | "1"      | "Areas[d=1]*Contfrac[d=1]"
+subli_lands    | "subli"           |                   | "subli[d=1]"                     | "Sublimation (LANDS)"          | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+snow_lands     | "snow"            |                   | "snow[d=1]"                      | "Snow Mass (LANDS)"            | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
+snownobio_lands | "snownobio"      |                   | "snownobio[d=1]"                 | "Snow Other Surfaces (LANDS)"  | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
+snowf_lands    | "snowf"           |                   | "snowf[d=1]"                     | "Snowfall (LANDS)"             | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+vegeta_lands   | "_vegetfrac"      |                   | "vegetfrac[d=1,K=12:13]"         | "veget agriculture (LANDS)"    | "1"      | "2"
+maxveget_lands | "maxvegetfrac"    |                   | "maxvegetfrac[d=1,K=12:13]"      | "vegetmax[pft=1] (LANDS)"      | "1"      | "2"
+lai_lands      | "lai"             |                   | "lai[d=1]*Areas[d=1]*Contfrac[d=1]"          | "lai (LANDS)"      | "1"      | "2"
+#------------------------------------------------------------------------------------------------------------------------------------------------------
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_stomate.cfg
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_stomate.cfg	(revision 882)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_stomate.cfg	(revision 882)
@@ -0,0 +1,48 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2009/05/14 15:09:35 $
+# $Name: ATLAS_608_1_5 $
+# $Revision: 1.1.1.2 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by '#' character
+#   - Separator between fields is '|' character
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset
+#   - files patterns, operations,title,units must be enclosed with character '"'
+#   - fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=E7FFAB
+smooth=12
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+SOIL_CARB_lands  | "TOTAL_SOIL_CARB VEGET_MAX CONTFRAC" |  | "(TOTAL_SOIL_CARB[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"  | "Total Soil Carbon (LANDS)"    | "gtC" | "2"
+BIOMASS_lands    | "TOTAL_M VEGET_MAX CONTFRAC"         |  | "(TOTAL_M[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"          | "Total Biomass (LANDS)"        | "gtC" | "2"
+LITTER_lands     | "TOTAL_BM_LITTER VEGET_MAX CONTFRAC" |  | "(TOTAL_BM_LITTER[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"  | "Total Litter (LANDS)"         | "gtC" | "2"
+CO2FLUX_lands    | "CO2FLUX_MONTHLY VEGET_MAX CONTFRAC" |  | "(CO2FLUX_MONTHLY[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"  | "NEE (LANDS)"                  | "GtC" | "2"
+NPP_lands        | "NPP VEGET_MAX CONTFRAC"             |  | "(NPP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"              | "Net Primary Produc (LANDS)"   | "gtC" | "2"
+GPP_lands        | "GPP VEGET_MAX CONTFRAC"             |  | "(GPP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"              | "Gross Primary Produc (LANDS)" | "gtC" | "2"
+HET_RESP_lands   | "HET_RESP VEGET_MAX CONTFRAC"        |  | "(HET_RESP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3])"         | "Heterotr. Resp. (LANDS)"      | "gC" | "2"
+MAINT_RESP_lands | "MAINT_RESP VEGET_MAX CONTFRAC"      |  | "(MAINT_RESP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3])"       | "Maintenance Resp. (LANDS)"    | "gC" | "2"
+GROWTH_RESP_lands| "GROWTH_RESP VEGET_MAX CONTFRAC"     |  | "(GROWTH_RESP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3])"      | "Growth Resp. (LANDS)"         | "gC" | "2"
+#------------------------------------------------------------------------------------------------------------------------------------------------------
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card	(revision 881)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/config.card	(revision 882)
@@ -38,5 +38,6 @@
 #D- For each component, Name of component, Tag of component
 ATM= (lmdz, LMDZ4-dev)
-SRF= (orchidee, orchidee_1_9_4)
+SRF= (orchidee, orchidee_1_9_4_AR5)
+SBG= (stomate, orchidee_1_9_4_AR5)
 
 #========================================================================
@@ -47,4 +48,5 @@
 ATM= (gcm.e, lmdz.x)
 SRF= ("", "")
+SBG= ("", "")
 
 #========================================================================
@@ -95,5 +97,5 @@
 
 #========================================================================
-#D-- SRF -
+#D-- SRF - SECHIBA
 [SRF]
 WriteFrequency="1M"
@@ -108,2 +110,15 @@
 
 #========================================================================
+#D-- SBG - STOMATE
+[SBG]
+WriteFrequency="1M"
+Restart=n
+#-- Last day of the experience used as restart
+RestartDate=
+# Define restart simulation name
+RestartJobName=
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR
+#-- Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
